#!/bin/bash
ls /var/lib/backuppc/pc/ > /tmp/list_clients.txt
for i in `cat /tmp/list_clients.txt`
do 
client=$i

	ls /var/lib/backuppc/pc/$i/ | sed -n '/^[0-9]/p' | sort -n | tail -n 1 > /tmp/list_backups.txt
		bNumber=`cat /tmp/list_backups.txt`
		echo -e "\n The last backup for <<< $client >>> is <<< $bNumber >>>."

		TopDir=`grep $Conf{TopDir} /etc/backuppc/config.pl | awk '{print $3}'`
		len=${#TopDir}
		TopDir=${TopDir:1:len-3}



		cmd="/usr/share/backuppc/bin/BackupPC_zcat $TopDir/pc/$client/XferLOG.$bNumber.z \
		|grep '^  '|grep -v '^  ...... d' |grep -v '^  same' |grep -v '^  skip' \
		|sed s/'^  \(......\)  '/'  \1 -'/ \
		|sed 's/\(.)*\)\//\1 /' \
		|cut -c1-9,10,11-14,15-24,25- --output-delimiter=' ' \
		"

		eval "$cmd \
			|awk 'BEGIN { 
				xc = 0 ; xp = 0; xd = 0 ; x = 0
				format=\"%s%-6s %1s %4s %5s %5s %s\n\"
				printf format,\"+ \",\"Action\",\"t\",\"Perm\",\"uid\",\"gid\",\"file\" }
			\$1 == \"create\" {xc += 1}
			\$1 == \"pool\" {xp += 1}
			\$1 == \"delete\" {xd += 1}
			{ x += 1 ; printf format,\"  \",\$1,\$2,\$3,\$4,\$5,\$7 }
			END { print \"Total - \"  xc \" create, \" xp \" pool, \" xd \" delete - \" x \" files listed\" }'
			"

done